%define fontname gentium-basic
%define fontdir %{_datadir}/fonts/%{fontname}

Name:        %{fontname}-fonts
Version:     1.1
Release:     1%{?dist}
Summary:     Gentium Basic Font Family

Group:       User Interface/X
License:     GPLv2
URL:         http://scripts.sil.org/cms/scripts/page.php
Source:      GentiumBasic_110.zip
BuildArch:   noarch
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
Gentium Basic is a font family based on the original Gentium design.

%prep
%setup -q -n "Gentium\ Basic\ 1.1"
sed -i 's/\r//' *.txt
# Convert to UTF-8
iconv -f iso-8859-1 -t utf-8 GENTIUM-FAQ.txt -o GENTIUM-FAQ.txt_
mv GENTIUM-FAQ.txt_ GENTIUM-FAQ.txt

%build
echo "Nothing to do in Build."

%install
rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.ttf %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun
if [ "$1" = "0" ]; then
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi
fi

%files
%defattr(0644,root,root,0755)
%doc FONTLOG.txt GENTIUM-FAQ.txt OFL-FAQ.txt OFL.txt
%{fontdir}


%changelog
* Wed Jul 24 2008 Rahul Bhalerao <rbhalera@redhat.com> - 1.1-1
- Initial packaging.
